%option c++ 8bit noyywrap nostack yymore nodefault
%option outfile="CSV_Scanner.C" prefix="zy"
comment ^[#;].*
string \"({alpha}|{digit}|{punct}|{white})*\"
type ({alpha}|_)+
int {digit}+
track ^{digit}+
white [ \t]
punct [./\_:,;<>?!(){}|]|"-"|"["|"]"
alpha [A-Za-z]
digit [0-9]
%%
<INITIAL>"," return 1;
<INITIAL>{comment} return 2;
<INITIAL>{track} return 3;
<INITIAL>{int} return 4;
<INITIAL>{type} return 5;
<INITIAL>{string} return 6;
<INITIAL>\n return 7;
<INITIAL>[ \t] return 8;
<INITIAL>. return 9;
<INITIAL><<EOF>> return 10;
%%
#include "lexer.h"
